#!/bin/bash
sips -s format png $1 --out "${1%.*}".png #convert to png
echo "Input-File: " $1
echo "Converted Input-File to: " "${1%.*}".png
file="${1%.*}".png
echo "New Input-File: " $file

sips -z 512 512 $file #resize input image
i=0
sizes=(512 256 128 64 32 16) #image size 512 = retina
iconset="${file%.*}".iconset
mkdir -p $iconset
cp $file $iconset/icon_${sizes[$i]}x${sizes[$i]}@2x.png

while [ $i -lt ${#sizes[@]} ]; do
	base=icon_${sizes[$i]}x${sizes[$i]}
	cp $iconset/$base@2x.png $iconset/$base.png
	sips -z ${sizes[$i]} ${sizes[$i]} $iconset/$base.png
	cp $iconset/$base.png $iconset/icon_${sizes[$i+1]}x${sizes[$i+1]}@2x.png
	: $[ i++ ]
done

rm $iconset/icon_{x,6}*
iconutil -c icns $iconset
rm -rf $iconset